TransferControllerUpdateExportConfigurationInfo Method |
PUT /Transfer/UpdateConfiguration/{id}
Updated the export configuration info.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPutAttribute]
[ActionNameAttribute("UpdateConfiguration")]
public HttpResponseMessage UpdateExportConfigurationInfo(
Guid id,
[FromBodyAttribute] ExportConfigInfoData exportConfigInfoData,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("UpdateConfiguration")>
Public Function UpdateExportConfigurationInfo (
id As Guid,
<FromBodyAttribute> exportConfigInfoData As ExportConfigInfoData,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"UpdateConfiguration")]
HttpResponseMessage^ UpdateExportConfigurationInfo(
Guid id,
[FromBodyAttribute] ExportConfigInfoData^ exportConfigInfoData,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("UpdateConfiguration")>]
member UpdateExportConfigurationInfo :
id : Guid *
[<FromBodyAttribute>] exportConfigInfoData : ExportConfigInfoData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the export configuration to be updated. - exportConfigInfoData
- Type: Dundas.BI.WebApi.ModelsExportConfigInfoData
An ExportConfigInfoData object containing everything to update the configurations info. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessageAn updated
ExportConfigInfoData object, or a status code indicating the problem.
See Also